
QGIS Application - Bug report #2488

Unable to add filter to PostGIS layer while "Render" option is turned off

2010-03-03 05:43 PM - bstempi -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12548

Description

I found that I was not able to add filters on [[PostGIS]] layers while the "Render" option in the lower right hand corner is unchecked.  The

idea was to add a layer, stop the rendering, add a filter on my layer, and then to render (to save bandwidth).

After unchecking "Render," I right-clicked on the layer, and went to Properties-> General-> Query Builder.  I received a database error for

every WHERE clause I wrote.  After clicking "cancel," I checked the "Render" option, navigated back into the Query Builder, and was able

to use WHERE clauses that previously failed.

History

#1 - 2010-03-08 01:50 PM - Jürgen Fischer

not reproducable here.

#2 - 2010-03-11 04:00 PM - bstempi -

I'll attempt to replicate on another system as soon as possible.

#3 - 2010-06-14 04:10 AM - Giovanni Manghi

please leave further feedback or close if not replicable

#4 - 2011-03-03 02:24 PM - Volker Fröhlich

- Resolution set to worksforme

- Status changed from Open to Closed

Please re-open if problem is still there.
